<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.example.silvi.medmap_android">

    <!--
         The ACCESS_COARSE/FINE_LOCATION permissions are not required to use
         Google Maps Android API v2, but you must specify either coarse or fine
         location permissions for the 'MyLocation' functionality. 
    -->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>

    <application
        android:name=".ui.base.MedMapApplication"
        android:allowBackup="true"
        android:hardwareAccelerated="false"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:largeHeap="true"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <meta-data
            android:name="com.google.android.geo.API_KEY"
            android:value="@string/google_maps_key"/>

        <activity
            android:name=".ui.splash.SplashActivity"
            android:theme="@style/AppTheme.FullScreen">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <activity
            android:name=".ui.auth.login.LoginActivity"
            android:screenOrientation="portrait"
            android:theme="@style/AppTheme.FullScreen"
            />

        <activity
            android:name=".ui.auth.register.RegisterActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden"/>

        <activity
            android:name=".ui.home.HomeActivity"
            android:screenOrientation="portrait"/>

        <activity
            android:name=".ui.cabinet.CabinetActivity"
            android:screenOrientation="portrait"/>

        <activity
            android:name=".ui.profile.ProfileActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden"/>

        <activity
            android:name=".ui.cabinet.add.AddCabinetActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden"/>

        <activity
            android:name=".ui.cabinet.update.UpdateCabinetActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustNothing|stateHidden"/>

        <activity android:name=".ui.CustomPhotoGalleryActivity"/>

        <activity
            android:name=".ui.requests.RequestsActivity"
            android:screenOrientation="portrait"/>

        <activity
            android:name=".ui.appointments.add.AddApointmentActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize|stateHidden"/>

        <activity
            android:name=".ui.appointments.AppointmentsActivity"
            android:screenOrientation="portrait"/>

        <activity
            android:name=".ui.appointments.today.TodayActivity"
            android:screenOrientation="portrait"/>

        <activity
            android:name=".ui.filters.FiltersActivity"
            android:screenOrientation="portrait"/>


        <activity
            android:name=".ui.messages.chatroom.ChatRoomActivity"
            android:screenOrientation="portrait"/>


        <activity
            android:name=".ui.messages.MessagesActivity"
            android:screenOrientation="portrait"/>

        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="AIzaSyBf11zpHXFUgTmmdh77WArAlHaXcukGTwA"/>

        <service android:name=".firebase.FCMNotificationHandler">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT"/>
            </intent-filter>
        </service>

        <service
            android:name=".firebase.FCMInstanceIdListenerService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.google.firebase.INSTANCE_ID_EVENT"/>
            </intent-filter>
        </service>

        <service
            android:name=".firebase.RegistrationIntentService"
            android:exported="false"/>


    </application>

</manifest>